- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Properties

# QPageSetupDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qpagesetupdialog.h.

`#include <qpagesetupdialog.h>`

Inheritance diagram for QPageSetupDialog:
[legend]

List of all members.

## Public Types
enum | PageSetupDialogOption { None = 0x00000000, DontUseSheet = 0x00000001, OwnsPrinter = 0x80000000 }
## Public Member Functions
| QPageSetupDialog (QPrinter *printer, QWidget *parent=0)
| QPageSetupDialog (QWidget *parent=0)
void | addEnabledOption (PageSetupDialogOption option)
void | setEnabledOptions (PageSetupDialogOptions options)
PageSetupDialogOptions | enabledOptions () const
bool | isOptionEnabled (PageSetupDialogOption option) const
void | setOption (PageSetupDialogOption option, bool on=true)
bool | testOption (PageSetupDialogOption option) const
void | setOptions (PageSetupDialogOptions options)
PageSetupDialogOptions | options () const
virtual int | exec ()
void | open (QObject *receiver, const char *member)
## Properties
PageSetupDialogOptions | options

## Member Enumeration Documentation

enum PageSetupDialogOption

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  DontUseSheet | Search for all occurrences
  OwnsPrinter | Search for all occurrences

Definition at line 65 of file qpagesetupdialog.h.

                                   {
            None                    = 0x00000000, // internal
            DontUseSheet            = 0x00000001,
            OwnsPrinter             = 0x80000000  // internal
        };

## Constructor & Destructor Documentation

QPageSetupDialog | ( | QPrinter * | printer,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QPageSetupDialog | ( | QWidget * | parent = `0` | ) | `[explicit]`

## Member Function Documentation

void addEnabledOption | ( | PageSetupDialogOption | option | ) |

Search for all occurrences

void setEnabledOptions | ( | PageSetupDialogOptions | options | ) |

Search for all occurrences

PageSetupDialogOptions enabledOptions | ( |  | ) | const

Search for all occurrences

bool isOptionEnabled | ( | PageSetupDialogOption | option | ) | const

Search for all occurrences

void setOption | ( | PageSetupDialogOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | PageSetupDialogOption | option | ) | const

Search for all occurrences

void setOptions | ( | PageSetupDialogOptions | options | ) |

Search for all occurrences

PageSetupDialogOptions options | ( |  | ) | const

Search for all occurrences

virtual int exec | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QAbstractPageSetupDialog.

void open | ( | QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

## Property Documentation

PageSetupDialogOptions options `[read, write]`

Search for all occurrences

Definition at line 62 of file qpagesetupdialog.h.

The documentation for this class was generated from the following file:

- QtGui/qpagesetupdialog.h

QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog
QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog QPageSetupDialog